# xspin
# Help menu support

proc helper {} {
	catch {destroy .h}
	toplevel .h

	wm title .h "Help"
	wm iconname .h "Help"
	message .h.t -text "\
Spin Controller - (c) 1993 AT&T Bell Laboratories

To use this interface you need Spin Version 1.5.3 or later. \
You can obtain the latest version of Spin via anonymous ftp \
from research.att.com from directory /netlib/spin

You can enter a Promela validation model into the text window,
or load one with the File Menu. \
It is probably wise to always enable the menu button Show Log.  \
It displays the Unix/shell commands \
that this spin controller synthesizes for you. \
The output of Simulations or Validations performed will \
always appear in separate windows.

Show States becomes operational after a first validation has \
been done.  It lets you cross-reference source text with FSM \
states, as reported by the validator.

Use button <Clear> to clear the contents of the text window.

Apart from the scroll-bars, you can use mouse button-2
for scrolling quickly in all text windows."
	button .h.b -text "Ok" -command {destroy .h}
	pack append .h .h.t {top expand fill}
	pack append .h .h.b {top}
}
